Package pygeodesy :: Module units :: Class Radians_ |
[frames] | no frames]

# Class Radians_

              object --+
                       |
                   float --+
                           |
          object --+       |
                   |       |
        named._Named --+   |
                       |   |
    unitsBase._NamedUnit --+
                           |
             unitsBase.Float --+
                               |
                         Radians --+
                                   |
                                  Radians_

Named `float` representing a coordinate in `radians` with optional limits `low` and `high`.

Instance Methods
Inherited from `Radians`: `toDegrees`, `toRadians`, `toRepr`, `toStr` Inherited from `unitsBase.Float`: `__repr__`, `__str__` Inherited from `float`: `__abs__`, `__add__`, `__coerce__`, `__div__`, `__divmod__`, `__eq__`, `__float__`, `__floordiv__`, `__format__`, `__ge__`, `__getattribute__`, `__getformat__`, `__getnewargs__`, `__gt__`, `__hash__`, `__int__`, `__le__`, `__long__`, `__lt__`, `__mod__`, `__mul__`, `__ne__`, `__neg__`, `__nonzero__`, `__pos__`, `__pow__`, `__radd__`, `__rdiv__`, `__rdivmod__`, `__rfloordiv__`, `__rmod__`, `__rmul__`, `__rpow__`, `__rsub__`, `__rtruediv__`, `__setformat__`, `__sub__`, `__truediv__`, `__trunc__`, `as_integer_ratio`, `conjugate`, `fromhex`, `hex`, `is_integer` Inherited from `named._Named`: `__imatmul__`, `__matmul__`, `__rmatmul__`, `attrs`, `classof`, `copy`, `dup`, `methodname`, `rename`, `renamed`, `toStr2` Inherited from `object`: `__delattr__`, `__init__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Static Methods
a new object with type S, a subtype of T |
__new__(cls, arg=None, name=`'``radians``'`, low=0.0, high=6.283185307179586, **suffix_Error_name_arg) New, named `Radians_`, see Radians. |

Properties
Inherited from `float`: `imag`, `real` Inherited from `unitsBase._NamedUnit`: `std_repr`, `units` Inherited from `named._Named`: `classname`, `classnaming`, `iteration`, `name`, `named`, `named2`, `named3`, `named4`, `sizeof`, `typename` Inherited from `object`: `__class__`

Method Details

### __new__ (cls, arg=None, name=`'``radians``'`, low=0.0, high=6.283185307179586, **suffix_Error_name_arg) Static Method |
New, named `Radians_`, see Radians. Arguments: `cls` - This class (`Radians_` or sub-class). `arg` - The value (any `type` convertable to `float` or parsable by function parseRad). `name` - Optional name (`str`). `low` - Optional lower `arg` limit (`float` or `None`). `high` - Optional upper `arg` limit (`float` or `None`). Returns: a new object with type S, a subtype of T A named `Radians_`. Raises: `Error` - Invalid `arg` or `arg` below `low` or above `high`. Overrides: object.__new__